package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_observation")
public class AuditObservation implements Serializable{
	
	/*Table: audit_observation*/
	
	/*Column Information
	----------------------

	Field                   Type          Collation          Null    Key     Default            Extra                        Privileges                       Comment  
	----------------------  ------------  -----------------  ------  ------  -----------------  ---------------------------  -------------------------------  ---------
	legal_entity_code       int(2)        (NULL)             NO      PRI     (NULL)                                          select,insert,update,references           
	audit_type_code         varchar(20)   latin1_swedish_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	plan_id                 varchar(20)   latin1_swedish_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	audit_id                varchar(20)   latin1_swedish_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	group_observation_id    varchar(20)   latin1_swedish_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	observation_id          varchar(20)   latin1_swedish_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	mapping_id              varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	capture_type			varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references
	cust_id                 varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references
	account_no              varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	account_name            varchar(50)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	account_currency        varchar(10)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	limit_type              varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	limit_amount            int(10)       (NULL)             YES             (NULL)                                          select,insert,update,references           
	limit_currency          varchar(10)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	balance                 int(10)       (NULL)             YES             (NULL)                                          select,insert,update,references           
	date                    date          (NULL)             YES             (NULL)                                          select,insert,update,references           
	finding_id              varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	finding_description     varchar(200)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	finding_remarks         varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	submission_status       varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	finding_owner           varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	finding_criticality     varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	response_id             varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	response_description    varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	response_remarks        varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	response_owner          varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	response_status         varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	review_id               varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	review_description      varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	review_remarks          varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	review_owner            varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	review_status           varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	remarks                 varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	capture_type			varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references
	compliance_category		varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references
	status                  varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	entity_status           varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker                   varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker_timestamp         timestamp     (NULL)             NO              CURRENT_TIMESTAMP  on update CURRENT_TIMESTAMP  select,insert,update,references           
	checker                 varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	checker_timestamp       timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
	businessdate_timestamp  timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
	sysdate_timestamp       timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           

	/*Index Information
	---------------------

	Table              Non_unique  Key_name  Seq_in_index  Column_name           Collation  Cardinality  Sub_part  Packed  Null    Index_type  Comment  Index_comment  
	-----------------  ----------  --------  ------------  --------------------  ---------  -----------  --------  ------  ------  ----------  -------  ---------------
	audit_observation           0  PRIMARY              1  legal_entity_code     A                    1    (NULL)  (NULL)          BTREE                               
	audit_observation           0  PRIMARY              2  audit_type_code       A                    1    (NULL)  (NULL)          BTREE                               
	audit_observation           0  PRIMARY              3  plan_id               A                    1    (NULL)  (NULL)          BTREE                               
	audit_observation           0  PRIMARY              4  audit_id              A                    1    (NULL)  (NULL)          BTREE                               
	audit_observation           0  PRIMARY              5  group_observation_id  A                    3    (NULL)  (NULL)          BTREE                               
	audit_observation           0  PRIMARY              6  observation_id        A                    5    (NULL)  (NULL)          BTREE                               

	*/
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;

	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;

	@Id
	@Column(name="plan_id")
	private String planId;

	@Id
	@Column(name="audit_id")
	private String auditId;

	@Id
	@Column(name="group_observation_id")
	private String groupObservationId;

	@Id
	@Column(name="observation_id")
	private String observationId;

	@Column(name="mapping_id")
	private String mappingId;
	
	@Column(name="cust_id")
	private String custId;

	@Column(name="account_no")
	private String accountNo;

	@Column(name="account_name")
	private String accountName;

	@Column(name="account_currency")
	private String accountCurrency;

	@Column(name="limit_type")
	private String limitType;

	@Column(name="limit_amount")
	private String limitAmount;

	@Column(name="limit_currency")
	private String limitCurrency;

	@Column(name="balance")
	private String balance;

	@Column(name="date")
	private Date date;

	@Column(name="finding_id")
	private String findingId;

	@Column(name="finding_description")
	private String findingDescription;

	@Column(name="finding_remarks")
	private String findingRemarks;
	
	@Column(name="standard_statement")
	private String standardStatement;		

	@Column(name="submission_status")
	private String submissionStatus;
	
	@Column(name="finding_owner")
	private String findingOwner;

	@Column(name="finding_criticality")
	private String findingCriticality;
	
	@Column(name="observation_criticality")
	private String observationCriticality;	

	@Column(name="standard_statement_print_flag")
	private String standardStatementPrintFlag;

	@Column(name="response_id")
	private String responseId;

	@Column(name="response_description")
	private String responseDescription;

	@Column(name="response_remarks")
	private String responseRemarks;

	@Column(name="response_owner")
	private String responseOwner;

	@Column(name="response_status")
	private String responseStatus;

	@Column(name="review_id")
	private String reviewId;

	@Column(name="review_description")
	private String reviewDescription;

	@Column(name="review_remarks")
	private String reviewRemarks;

	@Column(name="review_owner")
	private String reviewOwner;

	@Column(name="review_status")
	private String reviewStatus;

	@Column(name="remarks")
	private String remarks;

	@Column(name="entity_status")
	private String entityStatus;

	@Column(name="status")
	private String status;

	@Column(name="maker")
	private String maker;

	@Column(name="maker_timestamp")
	private Date makerTimestamp;

	@Column(name="checker")
	private String checker;

	@Column(name="checker_timestamp")
	private Date checkerTimestamp;

	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;

	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	@Column(name="capture_way")
	private String captureWay;
	
	@Column(name="capture_type")
	private String captureType;
	
	@Column(name="compliance_category")
	private String complianceCategory;
	
	@Column(name="non_compliance_persistence")
	private String nonCompliancePersistence;	
	
	@Column(name="non_compliance_persistence_remark")
	private String nonCompliancePersistenceRemark;	
	
	/* fields related to Risk Capture */
	@Column(name="prob_code")
	private String probCode;

	@Column(name="prob_score")
	private Integer probScore;

	@Column(name="severity_code")
	private String severityCode;

	@Column(name="severity_score")
	private Integer severityScore;

	@Column(name="design_eff_code")
	private String designEffCode;

	@Column(name="design_eff_score")
	private Integer designEffScore;

	@Column(name="oprting_eff_code")
	private String oprtingEffCode;

	@Column(name="oprting_eff_score")
	private Integer oprtingEffScore;

	@Column(name="inhrt_risk_code")
	private String inhrtRiskCode;

	@Column(name="cntrl_cls_bucket_code")
	private String cntrlClsBucketCode;
	
	@Column(name="cntrl_cls_bucket_score")
	private Integer cntrlClsBucketScore;

	@Column(name="residul_risk_code")
	private String residulRiskCode;

	@Column(name="residul_risk_score")
	private Double residulRiskScore;

	@Column(name="risk_weightage_percentage")
	private Integer riskWeightagePercentage;
	
	@Column(name="impact_code")
	private String  impactCode;
	
	@Column(name="impact_desc")
	private String  impactDesc;
	
	@Column(name="risk_frequency_code")
	private String  riskFrequencyCode;
	
	@Column(name="risk_frequency_desc")
	private String  riskFrequencyDesc;
	
	@Column(name="control_frequency_code")
	private String  controlFrequencyCode;
	
	@Column(name="control_frequency_desc")
	private String  controlFrequencyDesc;
	
	@Column(name="finding_approver")
	private String findingApprover;
	
	@Column(name="response_approver")
	private String responseApprover;
	
	@Column(name="review_approver")
	private String reviewApprover;
	
	@Column(name="inhrt_risk_desc")
	private String inhrtRiskDesc;
	
	@Column(name="cntrl_cls_bucket_desc")
	private String cntrlClsBucketDesc;
	
	@Column(name="residul_risk_desc")
	private String residulRiskDesc;
	
	/* fields related to Risk Capture */
	
	@Column(name="report_reviewer_remarks")
	private String reportReviewerRemarks;
	
	@Column(name="report_reviewer")
	private String reportReviewer;
	
	@Column(name="observation_note")
	private String observationNote;
	
	@Column(name="observation_note_maker")
	private String observationNoteMaker;
	
	@Column(name="response_note")
	private String responseNote;
	
	@Column(name="response_note_maker")
	private String responseNoteMaker;
	
	@Column(name="review_note")
	private String reviewNote;
	
	@Column(name="review_note_maker")
	private String reviewNoteMaker;
	
	@Column(name="review_note_maker_timestamp")
	private String reviewNoteMakerTimestamp;
	
	@Column(name="flag")
	private String flag;
	
	@Column(name="review_status_attribute")
	private String reviewStatusAttribute; 	
	
	@Column(name="review_status_attribute_last_auth")
	private  String reviewStatusAttributeLastAuth;
	
	private transient String tmpObservationId;
	private transient String prevAuditId;
	private transient String auditGroupCode;
	private transient String auditSubGroupCode;
	private transient String activityCode;
	private transient String processCode;
	private transient String findingCode;
	private transient Integer documentUploadId;
	private transient List<Integer> duplicateDocIds;
	private transient String aCriticality;
	private transient String pCriticality;
	private transient String fCriticality;
	private transient String docUploadYesNo;		
	
	private transient String probDesc;
	private transient String severityDesc;
	private transient String designEffDesc;
	private transient String oprtingEffDesc;
	private transient String actualStartDate;
	private transient String actualEndDate;
	
	private transient String role;	
	private transient String standardStatementHindi;	
	private transient String reportLanguage;	
	
	private transient List<AuditObservationRespondReviewCapture> auditObservationRespondReviewCaptures;
	private transient List<RiskControlDetails> riskControlDetailsLst;
	private transient List<ControlGapDetails> controlGapDetailsLst;
	private transient List<RecommendationDetails> recommendationDetailsLst;
	private transient List<TaskDetails> taskDetailsLst;
	
	private transient String deskEffectiveScore;
	private transient String deskReviewerMakerRemarks;
		
	/**
	 * @return the auditObservationRespondReviewCaptures
	 */
	public List<AuditObservationRespondReviewCapture> getAuditObservationRespondReviewCaptures() {
		return auditObservationRespondReviewCaptures;
	}

	/**
	 * @param auditObservationRespondReviewCaptures the auditObservationRespondReviewCaptures to set
	 */
	public void setAuditObservationRespondReviewCaptures(
			List<AuditObservationRespondReviewCapture> auditObservationRespondReviewCaptures) {
		this.auditObservationRespondReviewCaptures = auditObservationRespondReviewCaptures;
	}

	

	public List<RiskControlDetails> getRiskControlDetailsLst() {
		return riskControlDetailsLst;
	}

	public void setRiskControlDetailsLst(List<RiskControlDetails> riskControlDetailsLst) {
		this.riskControlDetailsLst = riskControlDetailsLst;
	}

	public List<ControlGapDetails> getControlGapDetailsLst() {
		return controlGapDetailsLst;
	}

	public void setControlGapDetailsLst(List<ControlGapDetails> controlGapDetailsLst) {
		this.controlGapDetailsLst = controlGapDetailsLst;
	}

	public List<RecommendationDetails> getRecommendationDetailsLst() {
		return recommendationDetailsLst;
	}

	public void setRecommendationDetailsLst(List<RecommendationDetails> recommendationDetailsLst) {
		this.recommendationDetailsLst = recommendationDetailsLst;
	}

	public List<TaskDetails> getTaskDetailsLst() {
		return taskDetailsLst;
	}

	public void setTaskDetailsLst(List<TaskDetails> taskDetailsLst) {
		this.taskDetailsLst = taskDetailsLst;
	}

	/**
	 * @return the captureWay
	 */
	public String getCaptureWay() {
		return captureWay;
	}

	/**
	 * @param captureWay the captureWay to set
	 */
	public void setCaptureWay(String captureWay) {
		this.captureWay = captureWay;
	}

	/**
	 * @return the duplicateDocIds
	 */
	public List<Integer> getDuplicateDocIds() {
		return duplicateDocIds;
	}

	/**
	 * @param duplicateDocIds the duplicateDocIds to set
	 */
	public void setDuplicateDocIds(List<Integer> duplicateDocIds) {
		this.duplicateDocIds = duplicateDocIds;
	}

	/**
	 * @return the documentUploadId
	 */
	public Integer getDocumentUploadId() {
		return documentUploadId;
	}

	/**
	 * @param documentUploadId the documentUploadId to set
	 */
	public void setDocumentUploadId(Integer documentUploadId) {
		this.documentUploadId = documentUploadId;
	}

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getPlanId() {
		return planId;
	}

	public void setPlanId(String planId) {
		this.planId = planId;
	}

	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	public String getGroupObservationId() {
		return groupObservationId;
	}

	public void setGroupObservationId(String groupObservationId) {
		this.groupObservationId = groupObservationId;
	}

	public String getObservationId() {
		return observationId;
	}

	public void setObservationId(String observationId) {
		this.observationId = observationId;
	}

	public String getMappingId() {
		return mappingId;
	}

	public void setMappingId(String mappingId) {
		this.mappingId = mappingId;
	}

	public String getCustId() {
		return custId;
	}

	public void setCustId(String custId) {
		this.custId = custId;
	}

	public String getAccountNo() {
		return accountNo;
	}

	public void setAccountNo(String accountNo) {
		this.accountNo = accountNo;
	}

	public String getAccountName() {
		return accountName;
	}

	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}

	public String getAccountCurrency() {
		return accountCurrency;
	}

	public void setAccountCurrency(String accountCurrency) {
		this.accountCurrency = accountCurrency;
	}

	public String getLimitType() {
		return limitType;
	}

	public void setLimitType(String limitType) {
		this.limitType = limitType;
	}



	/**
	 * @return the limitAmount
	 */
	public String getLimitAmount() {
		return limitAmount;
	}

	/**
	 * @param limitAmount the limitAmount to set
	 */
	public void setLimitAmount(String limitAmount) {
		this.limitAmount = limitAmount;
	}

	/**
	 * @return the balance
	 */
	public String getBalance() {
		return balance;
	}

	/**
	 * @param balance the balance to set
	 */
	public void setBalance(String balance) {
		this.balance = balance;
	}

	public String getLimitCurrency() {
		return limitCurrency;
	}

	public void setLimitCurrency(String limitCurrency) {
		this.limitCurrency = limitCurrency;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public String getFindingId() {
		return findingId;
	}

	public void setFindingId(String findingId) {
		this.findingId = findingId;
	}

	public String getFindingDescription() {
		return findingDescription;
	}

	public void setFindingDescription(String findingDescription) {
		this.findingDescription = findingDescription;
	}

	public String getFindingRemarks() {
		return findingRemarks;
	}

	public void setFindingRemarks(String findingRemarks) {
		this.findingRemarks = findingRemarks;
	}
	
	public String getStandardStatement() {
		return standardStatement;
	}

	public void setStandardStatement(String standardStatement) {
		this.standardStatement = standardStatement;
	}

	public String getSubmissionStatus() {
		return submissionStatus;
	}

	public void setSubmissionStatus(String submissionStatus) {
		this.submissionStatus = submissionStatus;
	}

	public String getFindingOwner() {
		return findingOwner;
	}

	public void setFindingOwner(String findingOwner) {
		this.findingOwner = findingOwner;
	}

	public String getFindingCriticality() {
		return findingCriticality;
	}

	public void setFindingCriticality(String findingCriticality) {
		this.findingCriticality = findingCriticality;
	}
	
	public String getObservationCriticality() {
		return observationCriticality;
	}

	public void setObservationCriticality(String observationCriticality) {
		this.observationCriticality = observationCriticality;
	} 

	public String getStandardStatementPrintFlag() {
		return standardStatementPrintFlag;
	}

	public void setStandardStatementPrintFlag(String standardStatementPrintFlag) {
		this.standardStatementPrintFlag = standardStatementPrintFlag;
	}

	public String getResponseId() {
		return responseId;
	}

	public void setResponseId(String responseId) {
		this.responseId = responseId;
	}

	public String getResponseDescription() {
		return responseDescription;
	}

	public void setResponseDescription(String responseDescription) {
		this.responseDescription = responseDescription;
	}

	public String getResponseRemarks() {
		return responseRemarks;
	}

	public void setResponseRemarks(String responseRemarks) {
		this.responseRemarks = responseRemarks;
	}

	public String getResponseOwner() {
		return responseOwner;
	}

	public void setResponseOwner(String responseOwner) {
		this.responseOwner = responseOwner;
	}

	public String getResponseStatus() {
		return responseStatus;
	}

	public void setResponseStatus(String responseStatus) {
		this.responseStatus = responseStatus;
	}

	public String getReviewId() {
		return reviewId;
	}

	public void setReviewId(String reviewId) {
		this.reviewId = reviewId;
	}

	public String getReviewDescription() {
		return reviewDescription;
	}

	public void setReviewDescription(String reviewDescription) {
		this.reviewDescription = reviewDescription;
	}

	public String getReviewRemarks() {
		return reviewRemarks;
	}

	public void setReviewRemarks(String reviewRemarks) {
		this.reviewRemarks = reviewRemarks;
	}

	public String getReviewOwner() {
		return reviewOwner;
	}

	public void setReviewOwner(String reviewOwner) {
		this.reviewOwner = reviewOwner;
	}

	public String getReviewStatus() {
		return reviewStatus;
	}

	public void setReviewStatus(String reviewStatus) {
		this.reviewStatus = reviewStatus;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getCaptureType() {
		return captureType;
	}

	public void setCaptureType(String captureType) {
		this.captureType = captureType;
	}

	public String getComplianceCategory() {
		return complianceCategory;
	}

	public void setComplianceCategory(String complianceCategory) {
		this.complianceCategory = complianceCategory;
	}

	public String getNonCompliancePersistence() {
		return nonCompliancePersistence;
	}

	public void setNonCompliancePersistence(String nonCompliancePersistence) {
		this.nonCompliancePersistence = nonCompliancePersistence;
	}	

	public String getNonCompliancePersistenceRemark() {
		return nonCompliancePersistenceRemark;
	}

	public void setNonCompliancePersistenceRemark(String nonCompliancePersistenceRemark) {
		this.nonCompliancePersistenceRemark = nonCompliancePersistenceRemark;
	}

	public String getProbCode() {
		return probCode;
	}

	public void setProbCode(String probCode) {
		this.probCode = probCode;
	}

	public Integer getProbScore() {
		return probScore;
	}

	public void setProbScore(Integer probScore) {
		this.probScore = probScore;
	}

	public String getSeverityCode() {
		return severityCode;
	}

	public void setSeverityCode(String severityCode) {
		this.severityCode = severityCode;
	}

	public Integer getSeverityScore() {
		return severityScore;
	}

	public void setSeverityScore(Integer severityScore) {
		this.severityScore = severityScore;
	}

	public String getDesignEffCode() {
		return designEffCode;
	}

	public void setDesignEffCode(String designEffCode) {
		this.designEffCode = designEffCode;
	}

	public Integer getDesignEffScore() {
		return designEffScore;
	}

	public void setDesignEffScore(Integer designEffScore) {
		this.designEffScore = designEffScore;
	} 

	public String getOprtingEffCode() {
		return oprtingEffCode;
	}

	public void setOprtingEffCode(String oprtingEffCode) {
		this.oprtingEffCode = oprtingEffCode;
	}

	public Integer getOprtingEffScore() {
		return oprtingEffScore;
	}

	public void setOprtingEffScore(Integer oprtingEffScore) {
		this.oprtingEffScore = oprtingEffScore;
	}

	public String getInhrtRiskCode() {
		return inhrtRiskCode;
	}

	public void setInhrtRiskCode(String inhrtRiskCode) {
		this.inhrtRiskCode = inhrtRiskCode;
	}

	public String getCntrlClsBucketCode() {
		return cntrlClsBucketCode;
	}

	public void setCntrlClsBucketCode(String cntrlClsBucketCode) {
		this.cntrlClsBucketCode = cntrlClsBucketCode;
	}

	public Integer getCntrlClsBucketScore() {
		return cntrlClsBucketScore;
	}

	public void setCntrlClsBucketScore(Integer cntrlClsBucketScore) {
		this.cntrlClsBucketScore = cntrlClsBucketScore;
	}

	public String getResidulRiskCode() {
		return residulRiskCode;
	}

	public void setResidulRiskCode(String residulRiskCode) {
		this.residulRiskCode = residulRiskCode;
	}

	public Double getResidulRiskScore() {
		return residulRiskScore;
	}

	public void setResidulRiskScore(Double residulRiskScore) {
		this.residulRiskScore = residulRiskScore;
	}

	public Integer getRiskWeightagePercentage() {
		return riskWeightagePercentage;
	}

	public void setRiskWeightagePercentage(Integer riskWeightagePercentage) {
		this.riskWeightagePercentage = riskWeightagePercentage;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}

	

	public String getTmpObservationId() {
		return tmpObservationId;
	}

	public void setTmpObservationId(String tmpObservationId) {
		this.tmpObservationId = tmpObservationId;
	}

	public String getPrevAuditId() {
		return prevAuditId;
	}

	public void setPrevAuditId(String prevAuditId) {
		this.prevAuditId = prevAuditId;
	}

	public String getImpactCode() {
		return impactCode;
	}

	public void setImpactCode(String impactCode) {
		this.impactCode = impactCode;
	}

	public String getImpactDesc() {
		return impactDesc;
	}

	public void setImpactDesc(String impactDesc) {
		this.impactDesc = impactDesc;
	}

	public String getRiskFrequencyCode() {
		return riskFrequencyCode;
	}

	public void setRiskFrequencyCode(String riskFrequencyCode) {
		this.riskFrequencyCode = riskFrequencyCode;
	}

	public String getRiskFrequencyDesc() {
		return riskFrequencyDesc;
	}

	public void setRiskFrequencyDesc(String riskFrequencyDesc) {
		this.riskFrequencyDesc = riskFrequencyDesc;
	}

	public String getControlFrequencyCode() {
		return controlFrequencyCode;
	}

	public void setControlFrequencyCode(String controlFrequencyCode) {
		this.controlFrequencyCode = controlFrequencyCode;
	}

	public String getControlFrequencyDesc() {
		return controlFrequencyDesc;
	}

	public void setControlFrequencyDesc(String controlFrequencyDesc) {
		this.controlFrequencyDesc = controlFrequencyDesc;
	}

	public String getFindingApprover() {
		return findingApprover;
	}

	public void setFindingApprover(String findingApprover) {
		this.findingApprover = findingApprover;
	}

	public String getResponseApprover() {
		return responseApprover;
	}

	public void setResponseApprover(String responseApprover) {
		this.responseApprover = responseApprover;
	}

	public String getReviewApprover() {
		return reviewApprover;
	}

	public void setReviewApprover(String reviewApprover) {
		this.reviewApprover = reviewApprover;
	}

	public String getInhrtRiskDesc() {
		return inhrtRiskDesc;
	}

	public void setInhrtRiskDesc(String inhrtRiskDesc) {
		this.inhrtRiskDesc = inhrtRiskDesc;
	}

	public String getCntrlClsBucketDesc() {
		return cntrlClsBucketDesc;
	}

	public void setCntrlClsBucketDesc(String cntrlClsBucketDesc) {
		this.cntrlClsBucketDesc = cntrlClsBucketDesc;
	}

	public String getResidulRiskDesc() {
		return residulRiskDesc;
	}

	public void setResidulRiskDesc(String residulRiskDesc) {
		this.residulRiskDesc = residulRiskDesc;
	}

	public String getAuditGroupCode() {
		return auditGroupCode;
	}

	public void setAuditGroupCode(String auditGroupCode) {
		this.auditGroupCode = auditGroupCode;
	}

	public String getAuditSubGroupCode() {
		return auditSubGroupCode;
	}

	public void setAuditSubGroupCode(String auditSubGroupCode) {
		this.auditSubGroupCode = auditSubGroupCode;
	}

	public String getActivityCode() {
		return activityCode;
	}

	public void setActivityCode(String activityCode) {
		this.activityCode = activityCode;
	}

	public String getProcessCode() {
		return processCode;
	}

	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}

	public String getFindingCode() {
		return findingCode;
	}

	public void setFindingCode(String findingCode) {
		this.findingCode = findingCode;
	}

	public String getaCriticality() {
		return aCriticality;
	}

	public void setaCriticality(String aCriticality) {
		this.aCriticality = aCriticality;
	}

	public String getpCriticality() {
		return pCriticality;
	}

	public void setpCriticality(String pCriticality) {
		this.pCriticality = pCriticality;
	}

	public String getfCriticality() {
		return fCriticality;
	}

	public void setfCriticality(String fCriticality) {
		this.fCriticality = fCriticality;
	}

	public String getDocUploadYesNo() {
		return docUploadYesNo;
	}

	public void setDocUploadYesNo(String docUploadYesNo) {
		this.docUploadYesNo = docUploadYesNo;
	}

	public String getProbDesc() {
		return probDesc;
	}

	public void setProbDesc(String probDesc) {
		this.probDesc = probDesc;
	}

	public String getSeverityDesc() {
		return severityDesc;
	}

	public void setSeverityDesc(String severityDesc) {
		this.severityDesc = severityDesc;
	}

	public String getDesignEffDesc() {
		return designEffDesc;
	}

	public void setDesignEffDesc(String designEffDesc) {
		this.designEffDesc = designEffDesc;
	}

	public String getOprtingEffDesc() {
		return oprtingEffDesc;
	}

	public void setOprtingEffDesc(String oprtingEffDesc) {
		this.oprtingEffDesc = oprtingEffDesc;
	}

	public String getActualStartDate() {
		return actualStartDate;
	}

	public void setActualStartDate(String actualStartDate) {
		this.actualStartDate = actualStartDate;
	}

	public String getActualEndDate() {
		return actualEndDate;
	}

	public void setActualEndDate(String actualEndDate) {
		this.actualEndDate = actualEndDate;
	}

	public String getRole() {
		return role;
	}

	public void setRole(String role) {
		this.role = role;
	}

	public String getReportReviewerRemarks() {
		return reportReviewerRemarks;
	}

	public void setReportReviewerRemarks(String reportReviewerRemarks) {
		this.reportReviewerRemarks = reportReviewerRemarks;
	}

	public String getReportReviewer() {
		return reportReviewer;
	}

	public void setReportReviewer(String reportReviewer) {
		this.reportReviewer = reportReviewer;
	}

	public String getObservationNote() {
		return observationNote;
	}

	public void setObservationNote(String observationNote) {
		this.observationNote = observationNote;
	}

	public String getObservationNoteMaker() {
		return observationNoteMaker;
	}

	public void setObservationNoteMaker(String observationNoteMaker) {
		this.observationNoteMaker = observationNoteMaker;
	}

	public String getResponseNote() {
		return responseNote;
	}

	public void setResponseNote(String responseNote) {
		this.responseNote = responseNote;
	}

	public String getResponseNoteMaker() {
		return responseNoteMaker;
	}

	public void setResponseNoteMaker(String responseNoteMaker) {
		this.responseNoteMaker = responseNoteMaker;
	}

	public String getReviewNote() {
		return reviewNote;
	}

	public void setReviewNote(String reviewNote) {
		this.reviewNote = reviewNote;
	}

	public String getReviewNoteMaker() {
		return reviewNoteMaker;
	}

	public void setReviewNoteMaker(String reviewNoteMaker) {
		this.reviewNoteMaker = reviewNoteMaker;
	}

	public String getReviewNoteMakerTimestamp() {
		return reviewNoteMakerTimestamp;
	}

	public void setReviewNoteMakerTimestamp(String reviewNoteMakerTimestamp) {
		this.reviewNoteMakerTimestamp = reviewNoteMakerTimestamp;
	}

	public String getFlag() {
		return flag;
	}

	public void setFlag(String flag) {
		this.flag = flag;
	}

	public String getReviewStatusAttribute() {
		return reviewStatusAttribute;
	}

	public void setReviewStatusAttribute(String reviewStatusAttribute) {
		this.reviewStatusAttribute = reviewStatusAttribute;
	}
	
	public String getStandardStatementHindi() {
		return standardStatementHindi;
	}

	public void setStandardStatementHindi(String standardStatementHindi) {
		this.standardStatementHindi = standardStatementHindi;
	} 

	public String getReportLanguage() {
		return reportLanguage;
	}

	public void setReportLanguage(String reportLanguage) {
		this.reportLanguage = reportLanguage;
	}

	public String getDeskEffectiveScore() {
		return deskEffectiveScore;
	}

	public void setDeskEffectiveScore(String deskEffectiveScore) {
		this.deskEffectiveScore = deskEffectiveScore;
	}

	public String getDeskReviewerMakerRemarks() {
		return deskReviewerMakerRemarks;
	}

	public void setDeskReviewerMakerRemarks(String deskReviewerMakerRemarks) {
		this.deskReviewerMakerRemarks = deskReviewerMakerRemarks;
	}

	public String getReviewStatusAttributeLastAuth() {
		return reviewStatusAttributeLastAuth;
	}

	public void setReviewStatusAttributeLastAuth(String reviewStatusAttributeLastAuth) {
		this.reviewStatusAttributeLastAuth = reviewStatusAttributeLastAuth;
	}
  
}

